Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class GraphicMasterPageHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.MasterPageHandle
                  org.eclipse.birt.report.model.api.GraphicMasterPageHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel, org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel

    public class GraphicMasterPageHandle

extends MasterPageHandle
implements org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel

Represents a graphic master page in the design. A graphic master page describes a physical page "decoration". The decoration can include simple headers and footers, but can also include content within the left and right margins, as well as watermarks under the content area. The page can contain multiple columns. In a multi-column report, the content area is the area inside the margins defined by each column.

Note that each page has only one content area, though that content area can be divided into multiple columns. That is, a page has one content area. If a page has multiple columns, the column layout is overlayed on top of the content area.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel
`COLUMN_SPACING_PROP, COLUMNS_PROP, CONTENT_SLOT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel
`A4_HEIGHT, A4_WIDTH, BOTTOM_MARGIN_PROP, HEIGHT_PROP, LEFT_MARGIN_PROP, ORIENTATION_PROP, RIGHT_MARGIN_PROP, STYLE_PROP, TOP_MARGIN_PROP, TYPE_PROP, US_LEGAL_HEIGHT, US_LEGAL_WIDTH, US_LETTER_HEIGHT, US_LETTER_WIDTH, WIDTH_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`GraphicMasterPageHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle with the given design and the design element.

Method Summary
`int` | `getColumnCount()` Returns the number of columns in the report.
`DimensionHandle` | `getColumnSpacing()` Returns a handle to work with the the space between columns.
`SlotHandle` | `getContent()` Returns the slot handle for the content.
`void` | `setColumnCount(int count)` Sets the number of columns in the report.

Methods inherited from class org.eclipse.birt.report.model.api.MasterPageHandle
`getBottomMargin, getEffectiveHeight, getEffectiveWidth, getHeight, getLeftMargin, getOrientation, getPageHeight, getPageType, getPageWidth, getRightMargin, getSize, getTopMargin, getWidth, setOrientation, setPageType`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicMasterPageHandle

    public GraphicMasterPageHandle(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle with the given design and the design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getContent

    public SlotHandle getContent()

  Returns the slot handle for the content. The items in this slot appear on the page itself, usually as headers, footers, margins, watermarks, etc.

  Returns:
    a handle to the content slot
  See Also:
    `SlotHandle`

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the report.

  Returns:
    the number of columns in the report

### setColumnCount

    public void setColumnCount(int count)
                        throws SemanticException

  Sets the number of columns in the report.

  Parameters:
    `count` - the number of columns in the report
  Throws:
    `SemanticException` - if the property is locked.

### getColumnSpacing

    public DimensionHandle getColumnSpacing()

  Returns a handle to work with the the space between columns.

  Returns:
    a DimensionHandle to deal with the space between columns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.